VERSION 5.00
Object = "{65E121D4-0C60-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCHRT20.OCX"
Begin VB.Form LagDetector 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Lag Detector (www.angelofarina.it)"
   ClientHeight    =   6375
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   9690
   Icon            =   "LagDetector.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6375
   ScaleWidth      =   9690
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox Check_Delete 
      Caption         =   "Delete the test files"
      Height          =   375
      Left            =   7560
      TabIndex        =   9
      Top             =   120
      Value           =   1  'Checked
      Width           =   2055
   End
   Begin VB.TextBox ChartWidth 
      Height          =   375
      Left            =   5880
      TabIndex        =   8
      Text            =   "300"
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox Size 
      Height          =   405
      Left            =   2400
      TabIndex        =   6
      Text            =   "2000"
      Top             =   120
      Width           =   1095
   End
   Begin MSChart20Lib.MSChart MSChart1 
      Height          =   4935
      Left            =   120
      OleObjectBlob   =   "LagDetector.frx":0442
      TabIndex        =   3
      TabStop         =   0   'False
      Top             =   600
      Width           =   9495
   End
   Begin VB.TextBox Text1 
      Height          =   375
      Left            =   1920
      TabIndex        =   1
      Top             =   5880
      Width           =   5895
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Stop/Store"
      Height          =   615
      Left            =   7920
      TabIndex        =   2
      Top             =   5640
      Width           =   1695
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Start"
      Height          =   615
      Left            =   120
      TabIndex        =   0
      Top             =   5640
      Width           =   1695
   End
   Begin VB.Label Label3 
      Caption         =   "Width of the chart (samples)"
      Height          =   375
      Left            =   3600
      TabIndex        =   7
      Top             =   200
      Width           =   2175
   End
   Begin VB.Label Label2 
      Caption         =   "Size of the test files (kbytes)"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   200
      Width           =   2295
   End
   Begin VB.Label Label1 
      Caption         =   "Comment:"
      Height          =   255
      Left            =   1920
      TabIndex        =   4
      Top             =   5640
      Width           =   1455
   End
End
Attribute VB_Name = "LagDetector"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim runflag As Boolean
Dim OldN As Long

Private Sub Command1_Click()
Dim i, N, M As Long
Dim a$

N = Val(ChartWidth.Text)
MSChart1.RowCount = N + 1

If OldN <> N Then
    For i = 0 To N
        MSChart1.Row = i + 1
        MSChart1.RowLabel = LTrim$(Str$(i))
        MSChart1.Data = 0
    Next
End If

M = Val(Size.Text) * 1024 / 16
a$ = String$(16, "a")
i = 0
runflag = True
Size.Enabled = False
ChartWidth.Enabled = False
Check_Delete.Enabled = False

Do
    t = Timer
    i = i + 1
    FileName$ = "c:\tmp" + LTrim$(Str$(i)) + ".raw"
    Open FileName$ For Binary As #1
    For j = 1 To M
       Put #1, , a$
    Next j
    Close 1
    DoEvents
    tt = Timer - t
    DoEvents
    For j = N + 1 To 1 Step -1
        MSChart1.Row = j
        Oldvalue = MSChart1.Data
        MSChart1.Data = tt
        tt = Oldvalue
    Next
    MSChart1.Refresh
    DoEvents
    If Check_Delete.Value Then Kill FileName$
    DoEvents
Loop Until runflag = False
End Sub

Private Sub Command2_Click()
runflag = False
MSChart1.FootnoteText = Text1.Text
MSChart1.EditCopy
Size.Enabled = True
ChartWidth.Enabled = True
Check_Delete.Enabled = True
End Sub

Private Sub Form_Load()
For i = 0 To 300
    MSChart1.Row = i + 1
    MSChart1.RowLabel = LTrim$(Str$(i))
    MSChart1.Data = 0
Next
OldN = 300
End Sub

Private Sub Form_Unload(Cancel As Integer)
On Error Resume Next
Kill "c:\tmp*.raw"
End Sub
